#!/bin/sh

#Licensed Materials-Property of IBM, 5697-EAS
#(C)Copyright IBM Corp 2005
#(C)Copyright Tivoli Systems, an IBM Co 2005
#All rights reserved
#US Government Users Restricted Rights:
#Use, duplication, or disclosure restricted
#by GSA ADP Schedule Contract with IBM Corp


if [ $0 = "./barocgen.sh" ];then 
 BASE_DIR=`pwd`/..
else
 BASE_DIR=`dirname $0`/..
fi

# CHECK_TME_HOME
TME_HOME_SETUP_CMD=/etc/Tivoli/setup_env.sh
if [ -f ${TME_HOME_SETUP_CMD} ]
then
    . ${TME_HOME_SETUP_CMD}
    #JAVA_CMD=/opt/IBM/WebSphere/AppServer/java/bin/java
    JAVA_CMD=${BINDIR}/TME/TEC/jre/bin/java
    if [ "${TEC_CLASSES_DIR}" = "" ]
    then
        TEC_CLASSES_DIR=${DBDIR}/tec/rb_dir/TEC_CLASSES
    fi
else
    JAVA_CMD=${JAVA_HOME}/jre/bin/java
    if [ "${TEC_CLASSES_DIR}" = "" ]
    then
        TEC_CLASSES_DIR=./conf/tec_classes
    fi
fi

if [ ! -f ${JAVA_CMD} ]
then
    echo "Cannot find a valid Java Runtime Environment (JRE)"
    exit -1
fi
 
(cd $BASE_DIR

BASE_DIR=`pwd`
BAROCGEN_LIB=$BASE_DIR/lib
export BAROCGEN_LIB
LOCAL_CLASSPATH=$BAROCGEN_LIB/wtci-messages.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=${LOCAL_CLASSPATH}:${BAROCGEN_LIB}/events-client.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/events-messages.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/ecore.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/hlcore.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/common.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/hlevents.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/hlcbe101.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/evd.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/event.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/log.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/uif.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/cbetec.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/events-client.jar
export LOCAL_CLASSPATH
LOCAL_CLASSPATH=$LOCAL_CLASSPATH:$BAROCGEN_LIB/barocgen.jar
export LOCAL_CLASSPATH
#echo $LOCAL_CLASSPATH

"$JAVA_CMD" -Dibm.websphere.preload.classes=true -classpath "$LOCAL_CLASSPATH" com.ibm.wtci.barocgen.BarocGenerator $1 $2 $3 $4 $5 $6

cd -)
