@echo off

rem Licensed Materials-Property of IBM, 5697-EAS
rem (C)Copyright IBM Corp 2005
rem (C)Copyright Tivoli Systems, an IBM Co 2005
rem All rights reserved
rem US Government Users Restricted Rights:
rem Use, duplication, or disclosure restricted
rem by GSA ADP Schedule Contract with IBM Corp


set BASE_DIR=%~dp0..

rem ============================================================
rem CHECK_TME_HOME
rem ============================================================
set TME_HOME_SETUP_CMD=%SYSTEMROOT%\system32\drivers\etc\tivoli\setup_env.cmd
set JAVA_CMD=%BINDIR%\TME\TEC\jre\bin\java.exe

rem ============================================================
rem Check whether the JRE directory is valid
rem ============================================================
if exist "%JAVA_CMD%" goto SUCCESS
set JAVA_CMD=%JAVA_HOME%\jre\bin\java.exe
if exist "%JAVA_CMD%" goto SUCCESS
echo."Cannot find a valid Java Runtime Environment"
goto END

:SUCCESS

set BAROCGEN_LIB=%BASE_DIR%\lib
set LOCAL_CLASSPATH=%BAROCGEN_LIB%\events-client.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\events-messages.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\ecore.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\hlcore.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\common.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\hlevents.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\hlcbe101.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\evd.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\event.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\log.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\uif.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\cbetec.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\wtci-messages.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%BAROCGEN_LIB%\events-client.jar


"%JAVA_CMD%" -classpath %LOCAL_CLASSPATH% -jar %BASE_DIR%\lib\barocgen.jar %1 %2 %3 %4 %5 %6
goto END

:END
